Latest branch Nougat: V180206 build failed


#1

Hi,
I cannot build sources from latest Nougat branch.
I still use “gcc-linaro-aarch64-linux-gnu-4.9-2014.09”. It was worked like charm on previous one build. Syncing about month ago.

Uboot build normally. But main image build failed with error message:

ninja: error: 'out/target/product/kvim/obj_arm/SHARED_LIBRARIES/libbluray_intermediates/export_includes', needed by 'out/target/product/kvim/obj_arm/SHARED_LIBRARIES/libbluray_mod_intermediates/import_includes', missing and no known rule to make it

here is full build log: pastebin


#2

Can you execute the command repo sync again?
Please provide the all sync informations for me. Thanks.


#3

here is first sync log: link
here is second one: link
build error the same

and old version (aa331c2bcd35942726c3b967d09ba06f3cd4101c) work fine


#4

I’m sorry for that. I have already fixed it. You can try to execute the command repo sync and build the source code again.


Building with ninja failing